Skip to Content
veriom

Page workspace audit log

Page matching workspace activity newest first with an opaque keyset cursor.

GET
/v1/workspaces/{workspace_id}/audit-log/events

Page matching workspace activity newest first with an opaque keyset cursor.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

cursor?|

The next_cursor of the previous page, with its filters.

limit?Limit
Range1 <= value <= 200
Default50
query?|

Search the action, resource type, request id, actor login or display name, or an exact resource id.

resource_type?|

Exact resource type.

action?|

An action such as member.added, or a namespace such as member or member. that matches every action beneath it.

actor_id?|

Only events by this user.

since?|

Earliest event time (inclusive), with an offset.

until?|

Latest event time (exclusive), with an offset.

automated?|

true for only what automation did (no actor, recorded as automation); false for everything else.

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-log/events'
Example Response
{  "has_more": false,  "items": [    {      "action": "string",      "actor_display_name": "string",      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",      "actor_login": "string",      "created_at": "2019-08-24T14:15:22Z",      "details": {},      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "request_id": "string",      "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",      "resource_type": "string"    }  ],  "next_cursor": "string"}